
pausa <- function() readline(prompt="dai un tasto per continuare\n")

dati = read.table("sequenze_dadi.txt")

plot(dati$V1, dati$V3, xlab="dadi lanciati", ylab="media")
pausa()
plot(dati$V1, dati$V4, xlab="dadi lanciati", ylab="deviazione standard")
pausa()
plot(dati$V1, dati$V4, xlab="dadi lanciati", ylab="deviazione standard", log='y')
pausa()
plot(dati$V1, dati$V4, xlab="dadi lanciati", ylab="deviazione standard", log='xy')

cat(" i dati sono linearizzati in scala doppio-log: -> andamento di potenza\n")

np = dim(dati)[1]

b = (log(dati$V4[np]) - log(dati$V4[1]) ) / ( log(dati$V1[np]) - log(dati$V1[1] ) )
cat( sprintf(" potenza: %.3f\n", b))     

a = dati$V4[1] / dati$V1[1]^b
cat( sprintf(" fattore moltiplicativo: %.3f\n", a))  

points(dati$V1, a*dati$V1^b, ty='l', col='blue')
