#include <stdio.h>
#include <stdlib.h>
#include <time.h>

void setRandomSeed( unsigned RandomSeed);
int dado();
int dadi(int n);

int main(int argc, char *argv[]) {
  int ndadi;

  if (argc < 2) {
    puts("Devi dare il numero di dadi da lanciare");
    return(0);
  }
  ndadi = atoi(argv[1]);
  //  printf(" ndadi = %d\n", ndadi);

  setRandomSeed(0);
  printf(" %d\n", dadi(ndadi) );
  
  return(0);
}

//--------------------------------------------------------
int dadi(int n) {
  int i, s;
  s=0;
  for(i=0; i<n; i++) {
    s += dado();
  }
  return(s);
}

//--------------------------------------------------------
int dado() {
   return( 1 + rand() % 6 );
}

//---------------------------------------------------------
void setRandomSeed( unsigned RandomSeed) {
  
  // se RandomSeed==0  usa il tempo del computer
  // altrimenti usa il numero passato come argomento
  // Nota: RICHIEDE gli header stdlib.h e time.h
  
  time_t t;

  if (RandomSeed == 0 ) {     // se == 0 si usa il tempo
     RandomSeed = (unsigned) time(&t);
  }
  
  srand( RandomSeed );
}

